Alokai

SapccApiGetComponentByIdAndUserRequest

Request parameters for getComponentByIdAndUser operation in SapccApi. SapccApiGetComponentByIdAndUserRequest

interface SapccApiGetComponentByIdAndUserRequest {
	readonly baseSiteId: string;
	readonly catalogCode?: string;
	readonly categoryCode?: string;
	readonly componentId: string;
	readonly fields?: GetComponentByIdAndUserFieldsEnum;
	readonly productCode?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetComponentByIdAndUser
catalogCodeOptionalstringCatalog code {string} SapccApiGetComponentByIdAndUser
categoryCodeOptionalstringCategory code {string} SapccApiGetComponentByIdAndUser
componentIdRequiredstringComponent identifier {string} SapccApiGetComponentByIdAndUser
fieldsOptionalGetComponentByIdAndUserFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetComponentByIdAndUser
productCodeOptionalstringProduct code {string} SapccApiGetComponentByIdAndUser
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetComponentByIdAndUser

Referenced Types

On this page